View Issue Details

IDProjectCategoryView StatusLast Update
0003439unrealmodule apipublic2007-11-24 23:14
ReporterStealthAssigned Toaquanight 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Platform*OS*OS Version*
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003439: m_hostchange.so tweak
DescriptionWhen using the "set" action, have a nick variable for the user's nick...

Something like:
<hostchange mask="*@*.example.com" action="set" value="users.%n.example.com">

%n would become the users nick (of course without non-RFC characters), the result should be "users.SomeNick.example.com" (if the user is connecting with "SomeNick")
TagsNo tags attached.
3rd party modules

Relationships

child of 0003417 closed TODO list for Unreal4.0 

Activities

aquanight

2007-07-13 15:17

reporter   ~0014480

Actually it almost looks like insp's standard of placeholders is more like:

$nick - nickname
$ident - username
$host - hostname
$vhost - vhost/cloak host (should seperate these like u3, will post seperate bug on this probably)

See the m_alias stuff for what I mean.

Could probably change this as part of making u4 more like u3.

CuttingEdge

2007-07-30 10:16

reporter   ~0014628

The only thing i'd like added to this module, would be the option to make a specific placeholder lowercase, like changing nicknames like 'CuttingEdge' to 'cuttingedge'. Makes it easier for these placeholders to integrate into a lowercase-only hostname for those that are fussy like me. :-)

Example implementation would be something like:
$lower($nick)

If that doesn't suffice, i'd suggest adding another setting like:
case="lower"

aquanight

2007-11-24 23:14

reporter   ~0014822

Added in revision 243

- Added support for $nick and $lnick (lower-case nick) in m_hostchange when setting the host (doesn't currently work for using the suffix/prefix hosts), requested by Bugz (0003439).

Issue History

Date Modified Username Field Change
2007-07-12 21:53 Stealth New Issue
2007-07-13 15:15 aquanight Relationship added child of 0003417
2007-07-13 15:17 aquanight Note Added: 0014480
2007-07-13 15:17 aquanight Status new => acknowledged
2007-07-13 21:18 aquanight Category ircd => module
2007-07-23 09:36 stskeeps Status acknowledged => confirmed
2007-07-23 09:36 stskeeps QA => Not touched yet by developer
2007-07-23 09:36 stskeeps U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-07-23 09:36 stskeeps U4: Upstream notification of bug => Not decided
2007-07-23 09:36 stskeeps U4: Contributor working on this => None
2007-07-23 09:36 stskeeps Severity tweak => feature
2007-07-30 10:16 CuttingEdge Note Added: 0014628
2007-11-24 23:14 aquanight QA Not touched yet by developer => Fixed by developer, needs QA testing
2007-11-24 23:14 aquanight Note Added: 0014822
2007-11-24 23:14 aquanight Assigned To => aquanight
2007-11-24 23:14 aquanight Status confirmed => resolved
2007-11-24 23:14 aquanight Resolution open => fixed
2007-11-24 23:14 aquanight Fixed in Version => 4.0-devel
2017-01-06 15:48 syzop Category module => module api